DeepFellow DOCS

Modify project

Modify project in the organization.

POST
/v1/organization/projects/{project_id}
Authorization[Bearer <token>]

In: header

Path Parameters

project_id[Project Id]

The ID of the project.

Match^[0-9a-fA-F]{24}$

Header Parameters

OpenAI-Organization?[Openai-Organization]

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

name?[Name]

The updated name of the project

models?[Models]

The updated models list of the project (incompatible)

custom_endpoints?[Custom Endpoints]

The updated list of custom endpoints allowed in the project.

mcp_prefixes?[Mcp Prefixes]

The MCP servers prefixes associated with the project.

webhook_url?[Webhook Url]

HTTPS endpoint that receives signed webhook event callbacks for this project. Set to null to clear it.

webhook_secret?[Webhook Secret]

Secret used to sign webhook event callbacks. Auto-generated if a webhook_url is set without one.

Response Body

curl -X POST "https://deepfellow-server-host/v1/organization/projects/5eb7cf5a86d9755df3a6c593" \  -H "OpenAI-Organization: string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "name": "Simplito",
  "status": "active",
  "models": [
    "llama3.1:8b",
    "qwen3:latest"
  ],
  "custom_endpoints": [
    "/v1/ocr",
    "/summarize"
  ],
  "mcp_prefixes": [
    "ocr-websearch",
    "brave-search"
  ],
  "webhook_url": null,
  "webhook_secret": null,
  "id": "5eb7cf5a86d9755df3a6c593",
  "created_at": 1789541338
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.